Enspace
  1. Tasks
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
              GET
            • Get specific Task
              GET
            • New Task
              POST
          • List Stages
            GET
          • Get specific Stage
            GET
        • List Flows
          GET
        • Get specific Flow
          GET
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
        GET
      • Count Types
        GET
      • Get specific Type
        GET
      • Create Type
        POST
      • Update Type
        PUT
      • Delete Type
        DELETE
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
      • Create Integration
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
    • List API Keys
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Tasks

New Task

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
POST
https://api-develop.enspace.io
/c-stage-tasks
Maintainer:Not configured

Create Task#

This request creates a new task within a stage of a flow. Tasks represent actions or activities that will be executed automatically or manually during the flow execution.
A task can be configured with different start triggers, action types, SLA rules, and responsibility assignments. These configurations determine when the task starts, what action it performs, how the deadline is calculated, and who is responsible for executing it.

Request Body Fields#

name (string)#

Name of the task.

description (string)#

A brief description explaining the purpose of the task.

stage (integer)#

The ID of the stage where the task will be created.

start_type (string)#

Defines when the task will start during the flow execution.
Possible values:
stage_enter – The task starts when the item enters the stage.
await_trigger – The task waits for a specific trigger before starting.
periodic – The task runs periodically according to its configuration.

action (string)#

Defines the action performed by the task.
Possible values:
confirmation – Creates a confirmation task for users.
fill_fields – Updates or fills item fields.
internal-document-review – Performs an internal document review step.
sendmail – Sends an email.
close_stage – Automatically closes the current stage.
close_flow – Finishes the entire flow.
answer – Performs a response action.
use_integration – Executes an external integration.

icon (string)#

Icon used to visually represent the task.

SLA Configuration#

sla_origin (string)#

Defines the reference point used to calculate the task deadline.
Possible values:
item_created – Based on when the item was created.
task_created – Based on when the task was created.
field – Based on a specific field.

sla_type (string)#

Defines the time unit used for the SLA calculation.
Possible values:
hours
days
workDays

sla (integer)#

The SLA duration according to the configured sla_type.

Task Responsibility#

responsibility_type (string)#

Defines who will be responsible for executing the task.
Possible values:
everybody – Any user can execute the task.
request_user – The user who created the request.
users – Specific users.
module_groups – User groups.
external_email – External users via email.
field_based – Determined dynamically by a field value.
responsible_rules – Defined by responsibility rules.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-develop.enspace.io/c-stage-tasks' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Test Task",
    "description": "nose",
    "start_type": "stage_enter",
    "icon": "carbon:health",
    "action": "use_integration",
    "integration": 2,
    "integration_data": {
        "action": "uploadAndSign",
        "document_field": "docs",
        "document_title": "api",
        "signers_field": "113",
        "signer_map": {
            "name": "nome",
            "email": "email",                
            "role": "acao",
            "auth": "autenticacao"
        }
    },
    "sla_origin": "task_created",
    "sla_type": "workDays",
    "sla": 3,
    "responsibility_type": "request_user",
    "stage": 1
}'
Response Response Example
{}
Previous
Get specific Task
Next
List Stages
Built with